Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezimagecatalogue/admin/imagelist.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: imagelist.php 9501 2002-05-02 17:09:58Z br $
5 //
6 // Created on: <10-Dec-2000 16:16:20 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29 // include_once( "classes/ezlog.php" );
30 // include_once( "classes/ezfile.php" );
31 // include_once( "classes/ezlist.php" );
32
33 // include_once( "ezuser/classes/ezuser.php" );
34 // include_once( "ezuser/classes/ezpermission.php" );
35 // include_once( "ezuser/classes/ezobjectpermission.php" );
36
37 // include_once( "ezimagecatalogue/classes/ezimage.php" );
38 // include_once( "ezimagecatalogue/classes/ezimagecategory.php" );
39 // include_once( "classes/ezhttptool.php" );
40
41 $ini =& eZINI::instance( 'site.ini' );
42 $wwwDir = $ini->WWWDir;
43 $indexFile = $ini->Index;
44
45 $Language = $ini->variable( "eZImageCatalogueMain", "Language" );
46
47 $ImageDir = $ini->variable( "eZImageCatalogueMain", "ImageDir" );
48 $PicCat = $ini->variable( "eZImageCatalogueMain", "PicCat" );
49 $SyncDir = $ini->variable( "eZImageCatalogueMain", "SyncDir" );
50 $SectionID = $ini->variable( "eZImageCatalogueMain", "DefaultSection" );
51
52 $t = new eZTemplate( "kernel/ezimagecatalogue/admin/" . $ini->variable( "eZImageCatalogueMain", "AdminTemplateDir" ),
53 "kernel/ezimagecatalogue/admin/intl/", $Language, "imagelist.php" );
54
55 $t->set_file( "image_list_page_tpl", "imagelist.tpl" );
56
57 $t->setAllStrings();
58
59 $user =& eZUser::currentUser();
60
61 // Set detail or normal mode
62 if ( isset ( $DetailView ) )
63 {
64 $session =& eZSession::globalSession();
65 $session->setVariable( "ImageViewMode", "Detail" );
66 }
67 if ( isset ( $NormalView ) )
68 {
69 $session =& eZSession::globalSession();
70 $session->setVariable( "ImageViewMode", "Normal" );
71 }
72
73
74 function syncDir( $root, $category )
75 {
76 global $user;
77 $dir = eZPBFile::dir( $root, false );
78 while ( $entry = $dir->read() )
79 {
80 if ( $entry != "." && $entry != ".." )
81 {
82 if ( filetype( $root . $entry ) == "dir" )
83 {
84 // check if category exists if not create it:
85 $subCategoryArray =& $category->getByParent( $category );
86 $sub = false;
87 foreach ( $subCategoryArray as $subCategory )
88 {
89 if ( $subCategory->name() == $entry )
90 {
91 $sub = $subCategory;
92 }
93 //print( $subCategory->name() . "\n<br>" );
94 }
95 if ( $sub == false )
96 {
97 $sub = new eZImageCategory( );
98 $sub->setParent( $category );
99 $sub->setName( $entry );
100 $sub->setSectionID( $SectionID );
101 $sub->store();
102 eZObjectPermission::removePermissions( $sub->id(), "imagecatalogue_category", "r" );
103 eZObjectPermission::removePermissions( $sub->id(), "imagecatalogue_category", "w" );
104 eZObjectPermission::removePermissions( $sub->id(), "imagecatalogue_category", "u" );
105 $group = new eZUserGroup( -1 );
106 eZObjectPermission::setPermission( -1, $sub->id(), "imagecatalogue_category", "r" );
107 eZObjectPermission::setPermission( 1, $sub->id(), "imagecatalogue_category", "w" );
108 eZObjectPermission::setPermission( 1, $sub->id(), "imagecatalogue_category", "u" );
109 }
110 //print( "Syncing dir " . $root . $entry . "<br>" );
111 syncDir( $root . $entry . "/", $sub );
112 }
113 else if ( filetype( $root . $entry ) == "file" )
114 {
115 $images = $category->images( "time", 0, -1, false, $user );
116 $imageExists = false;
117 foreach ( $images as $image )
118 {
119 if ( $entry == $image->name() )
120 {
121 $imageExists = true;
122 }
123 }
124 if ( $imageExists == false )
125 {
126 $image = new eZImage();
127 $image->setName( $entry );
128 $image->setDescription( $Description );
129 $image->setUser( $user );
130 $author = new eZAuthor( 1 );
131 $image->setPhotographer( $author );
132 //print( "adding image: " . $root . $entry . "<br>" );
133 $file = new eZPBImageFile();
134 $file->getFile( $root . $entry );
135 $image->store();
136 $image->setImage( $file, $image->id() );
137 $image->setCategoryDefinition( $category );
138 eZImageCategory::addImage( $image, $category->id() );
139 $image->setOriginalFileName( $entry );
140 $image->store();
141 eZObjectPermission::removePermissions( $image->id(), "imagecatalogue_image", "r" );
142 eZObjectPermission::removePermissions( $image->id(), "imagecatalogue_image", "w" );
143 eZObjectPermission::setPermission( -1, $image->id(), "imagecatalogue_image", "r" );
144 eZObjectPermission::setPermission( 1, $image->id(), "imagecatalogue_image", "w" );
145 }
146 }
147 }
148 }
149 }
150
151 if ( isSet ( $ImageUpload ) )
152 {
153 $category = new eZImageCategory( $PicCat );
154 syncDir( $SyncDir, $category );
155 eZHTTPTool::header( "Location: /imagecatalogue/image/list/$PicCat/" );
156 exit();
157 }
158
159
160 $checkMode =& eZSession::globalSession();
161
162 if ( $checkMode->variable( "ImageViewMode" ) == "Detail" )
163 {
164 $DetailView = true;
165 }
166 else if ( $checkMode->variable( "ImageViewMode" ) == "Normal" )
167 {
168 $NormalView = true;
169 }
170
171 $t->set_block( "image_list_page_tpl", "current_category_tpl", "current_category" );
172
173 // path
174 $t->set_block( "image_list_page_tpl", "path_item_tpl", "path_item" );
175
176 $t->set_block( "image_list_page_tpl", "image_list_tpl", "image_list" );
177
178 $t->set_block( "image_list_page_tpl", "normal_view_button", "normal_button" );
179 $t->set_block( "image_list_page_tpl", "detail_view_button", "detail_button" );
180
181 $t->set_block( "image_list_page_tpl", "write_menu_tpl", "write_menu" );
182
183 $t->set_block( "write_menu_tpl", "next_tpl", "next" );
184 $t->set_block( "write_menu_tpl", "previous_tpl", "prev" );
185
186 $t->set_block( "write_menu_tpl", "default_new_tpl", "default_new" );
187 $t->set_block( "write_menu_tpl", "default_delete_tpl", "default_delete" );
188
189 $t->set_block( "default_delete_tpl", "delete_categories_button_tpl", "delete_categories_button" );
190 $t->set_block( "default_delete_tpl", "delete_images_button_tpl", "delete_images_button" );
191
192 $t->set_block( "image_list_tpl", "image_tpl", "image" );
193 $t->set_block( "image_list_tpl", "detail_view_tpl", "detail_view" );
194
195 $t->set_block( "image_tpl", "read_tpl", "read" );
196 $t->set_block( "image_tpl", "read_span_tpl", "read_span" );
197 $t->set_block( "image_tpl", "write_tpl", "write" );
198
199 $t->set_block( "detail_view_tpl", "detail_read_tpl", "detail_read" );
200 $t->set_block( "detail_view_tpl", "detail_write_tpl", "detail_write" );
201 $t->set_block( "detail_read_tpl", "image_variation_tpl", "variation" );
202
203 $t->set_block( "image_list_page_tpl", "category_list_tpl", "category_list" );
204 $t->set_block( "category_list_tpl", "category_tpl", "category" );
205
206 $t->set_block( "category_tpl", "category_write_tpl", "category_write" );
207 $t->set_block( "category_tpl", "category_read_tpl", "category_read" );
208
209 $t->set_var( "read", "" );
210 $t->set_var( "variation", "" );
211 $t->set_var( "write_menu", "" );
212
213 $t->set_var( "next", "" );
214 $t->set_var( "prev", "" );
215
216 $t->set_var( "delete_images_button" , "" );
217 $t->set_var( "delete_categories_button" , "" );
218 $t->set_var( "default_new" , "" );
219 $t->set_var( "default_delete" , "" );
220 $t->set_var( "main_category_id", $CategoryID );
221
222 $t->set_var( "sync_dir", $SyncDir );
223
224 $category = new eZImageCategory( $CategoryID );
225
226
227 // Check if user have permission to the current category
228
229 $error = true;
230
231 if ( eZObjectPermission::hasPermission( $category->id(), "imagecatalogue_category", "r", $user )
232 || eZImageCategory::isOwner( $user, $CategoryID ) )
233 {
234 $error = false;
235 }
236
237 if ( $CategoryID == 0 )
238 {
239 $t->set_var( "current_category_description", "" );
240 $error = false;
241 }
242
243 $t->set_var( "current_category", "" );
244
245 if ( $category->id() != 0 )
246 {
247 $t->set_var( "current_category_description", $category->description() );
248 $t->set_var( "category_id", $category->id() );
249 $t->set_var( "category_name", $category->name() );
250
251 $t->parse( "current_category", "current_category_tpl" );
252 }
253
254 // path
255 $pathArray = $category->path();
256
257 $t->set_var( "path_item", "" );
258 foreach ( $pathArray as $path )
259 {
260 $t->set_var( "category_id", $path[0] );
261
262 $t->set_var( "category_name", $path[1] );
263
264 $t->parse( "path_item", "path_item_tpl", true );
265 }
266
267
268 // Print out all the categories
269 $categoryList =& $category->getByParent( $category );
270
271 $i=0;
272 foreach ( $categoryList as $categoryItem )
273 {
274 $t->set_var( "category_name", $categoryItem->name() );
275 $t->set_var( "category_id", $categoryItem->id() );
276 $t->set_var( "category_description", $categoryItem->description() );
277
278 $t->set_var( "category_read", "" );
279 $t->set_var( "category_write", "" );
280 ( $i % 2 ) ? $t->set_var( "td_class", "bgdark" ) : $t->set_var( "td_class", "bglight" );
281
282 // Check if user have read permission
283 if ( eZObjectPermission::hasPermission( $categoryItem->id(), "imagecatalogue_category", "r", $user ) ||
284 eZImageCategory::isOwner( $user, $categoryItem->id()) )
285 {
286 $t->parse( "category_read", "category_read_tpl" );
287 }
288
289 // Check if user have write permission
290 if ( ( $user ) &&
291 ( eZObjectPermission::hasPermission( $categoryItem->id(), "imagecatalogue_category", "w", $user ) ) ||
292 ( eZImageCategory::isOwner( $user, $categoryItem->id() ) ) )
293 {
294 $t->parse( "category_write", "category_write_tpl" );
295 $t->parse( "delete_categories_button", "delete_categories_button_tpl" );
296 $t->parse( "default_delete", "default_delete_tpl" );
297 $t->parse( "write_menu", "write_menu_tpl" );
298 }
299 $t->parse( "category", "category_tpl", true );
300 $i++;
301 }
302
303 if ( count( $categoryList ) > 0 && !isset( $SearchText ))
304 {
305 $t->parse( "category_list", "category_list_tpl" );
306 }
307 else
308 {
309 $t->set_var( "category_list", "" );
310 }
311
312 $limit = $ini->variable( "eZImageCatalogueMain", "ListImagesPerPage" );
313
314 // Print out all the images
315 if ( isset( $SearchText ) )
316 {
317 $imageList =& eZImage::search( $SearchText );
318 $count =& eZImage::searchCount( $SearchText );
319
320 $URL = "search/?SearchText=$SearchText";
321
322 // die("$SearchText - $Offset - $limit -- $count ---");
323
324 $page_link = "search/?SearchText=$SearchText&Offset={item_index}";
325 $page_link_next = "search/?SearchText=$SearchText&Offset={item_next_index}";
326 $page_link_prev = "search/?SearchText=$SearchText&Offset={item_previous_index}";
327
328 // $imageList =& eZImage::search( $SearchText );
329 // $count =& eZImage::searchCount( $SearchText );
330 }
331 else
332 {
333 $imageList =& $category->images( "time", $Offset, $limit );
334 $count =& $category->imageCount( );
335
336 $URL = "image/list/$CategoryID/$Offset";
337
338 $page_link = "image/list/$CategoryID/parent/{item_index}";
339 $page_link_next = "image/list/$CategoryID/parent/{item_next_index}";
340 $page_link_prev = "image/list/$CategoryID/parent/{item_previous_index}";
341 }
342
343
344 $i = 0;
345 $j = 0;
346 $counter = 0;
347
348
349 foreach ( $imageList as $image )
350 {
351 ( $i % 2 ) ? $t->set_var( "td_class", "bgdark" ) : $t->set_var( "td_class", "bglight" );
352
353 $t->set_var( "main_category_id", $CategoryID . "/" . $Offset );
354
355 $t->set_var( "end_tr", "" );
356 $t->set_var( "begin_tr", "" );
357
358 $t->set_var( "image_id", $image->id() );
359 $t->set_var( "original_image_name", $image->originalFileName() );
360 $t->set_var( "image_name", $image->name() );
361 $t->set_var( "image_caption", $image->name() );
362 $t->set_var( "image_url", $image->name() );
363
364 $width =& $ini->variable( "eZImageCatalogueMain", "ThumbnailViewWidth" );
365 $height =& $ini->variable( "eZImageCatalogueMain", "ThumbnailViewHight" );
366
367 $variation =& $image->requestImageVariation( $width, $height );
368
369 $t->set_var( "image_description",$image->description() );
370 $t->set_var( "image_alt", $image->name() );
371 $t->set_var( "image_src", "/" . $variation->imagePath() );
372 $t->set_var( "image_width", $variation->width() );
373 $t->set_var( "image_height", $variation->height() );
374 $t->set_var( "image_file_name", $image->originalFileName() );
375
376 if ( $image->fileExists( true ) )
377 {
378 $imagePath =& $image->filePath( true );
379 $size = eZPBFile::filesize( $imagePath );
380 }
381 else
382 {
383 $size = 0;
384 }
385
386 $size = eZPBFile::siFileSize( $size );
387
388 $t->set_var( "image_size", $size["size-string"] );
389 $t->set_var( "image_unit", $size["unit"] );
390 $t->set_var( "image_caption", $image->caption() );
391
392 $t->set_var( "read", "" );
393 $t->set_var( "write", "" );
394
395 $t->set_var( "read_span", "" );
396 $imagesPerRow = $ini->variable( "eZImageCatalogueMain", "ListImagesPerRow" );
397 if ( count( $imageList ) == $counter + 1 )
398 {
399 $colspan = ( $imagesPerRow-1 ) - ($imagesPerRow % 4);
400 if ( $colspan > 0 )
401 {
402 $t->set_var( "col_span", $colspan );
403 $t->parse( "read_span", "read_span_tpl" );
404 }
405 }
406
407 // Check if user have read permission
408 $t->set_var( "detail_read", "" );
409 $can_read = false;
410 $can_write = false;
411
412 $variationList = $image->variations();
413
414 for ( $i = 0; $i < count( $variationList ); $i++ )
415 {
416 if ( $variationList[$i]->height() == $image->height() &&
417 $variationList[$i]->width() == $image->width() )
418 {
419 $value = array_slice( $variationList, $i, 1 );
420 $variationList = array_merge( $value, array_slice( $variationList, 0, $i - 1 ), array_slice( $variationList, $i + 1 ) );
421 break;
422 }
423 }
424
425 $t->set_var( "variation", "" );
426
427
428 $can_read = true;
429 if ( ( $j % $imagesPerRow ) == 0 )
430 {
431 $t->set_var( "begin_tr", "<tr>" );
432 }
433 else if ( ( $j % $imagesPerRow ) == ( $imagesPerRow - 1 ) )
434 {
435 $t->set_var( "end_tr", "</tr>" );
436 }
437
438 if ( isset ( $DetailView ) )
439 {
440 $t->parse( "detail_read", "detail_read_tpl" );
441 }
442 else
443 {
444 $t->parse( "read", "read_tpl" );
445 }
446 $j++;
447
448
449 // Check if user have write permission
450 if ( ( $user ) &&
451 ( eZObjectPermission::hasPermission( $image->id(), "imagecatalogue_image", "w", $user ) ) ||
452 ( eZImage::isOwner( $user, $image->id() ) ) )
453 {
454 $can_write = true;
455 if ( isset ( $DetailView ) )
456 {
457 $deleteImage = true;
458 $t->parse( "detail_write", "detail_write_tpl" );
459
460 $t->parse( "delete_images_button", "delete_images_button_tpl" );
461 $t->parse( "default_delete", "default_delete_tpl" );
462 $t->parse( "write_menu", "write_menu_tpl" );
463 }
464 else
465 {
466 $t->parse( "write", "write_tpl" );
467 }
468 }
469 else
470 {
471 $t->set_var( "detail_write", "" );
472 }
473
474 // Set the detail or normail view
475 if ( isset ( $DetailView ) )
476 {
477 $t->set_var( "image", "" );
478
479 if ( $can_read )
480 $t->parse( "detail_view", "detail_view_tpl", true );
481 }
482 else
483 {
484 $t->set_var( "detail_view", "" );
485
486 if ( $can_read )
487 $t->parse( "image", "image_tpl", true );
488 }
489
490
491 $counter++;
492 }
493
494 $t->set_var( "URL", $URL );
495 $t->set_var( "page_link", $page_link );
496 $t->set_var( "page_link_next", $page_link_next );
497 $t->set_var( "page_link_prev", $page_link_prev );
498
499 $t->set_var( "main_category_id", $CategoryID );
500
501 eZList::drawNavigator( $t, $count, $limit, $Offset, "image_list_page_tpl" );
502
503 $t->set_var( "detail_button", "" );
504 $t->set_var( "normal_button", "" );
505 $t->set_var( "pos", $Offset );
506
507 if ( isset ( $DetailView ) )
508 {
509 $t->set_var( "is_detail_view", "true" );
510 $t->parse( "normal_button", "normal_view_button" );
511 }
512 else
513 {
514 $t->set_var( "is_detail_view", "" );
515 $t->parse( "detail_button", "detail_view_button" );
516 }
517
518 // Print out the category/image menu
519 if ( $category->id() != 0 )
520 {
521 if ( ( $user ) &&
522 ( eZObjectPermission::hasPermission( $category->id(), "imagecatalogue_category", "w", $user ) ) )
523 {
524 $t->parse( "default_new", "default_new_tpl" );
525 $t->parse( "write_menu", "write_menu_tpl" );
526 }
527 }
528 else
529 {
530 if ( eZPermission::checkPermission( $user, "eZImageCatalogue", "WriteToRoot" ) )
531 {
532 $t->parse( "default_new", "default_new_tpl" );
533 $t->parse( "write_menu", "write_menu_tpl" );
534 }
535 }
536
537 if ( count( $imageList ) > 0 )
538 {
539 $t->parse( "image_list", "image_list_tpl" );
540 }
541 else
542 {
543 $t->set_var( "normal_button", "" );
544 $t->set_var( "detail_button", "" );
545 $t->set_var( "image_list", "" );
546 }
547
548 $t->set_var( "image_dir", $ImageDir );
549
550 $t->set_var( "main_category_id", $CategoryID );
551
552 if ( $error == false )
553 {
554 $t->pparse( "output", "image_list_page_tpl" );
555 }
556 else
557 {
558 eZHTTPTool::header( "Location: /error/403/" );
559 exit();
560 }
561
562 ?>
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
$group
$group
Definition: admin/articleedit.php:799
$author
$author
Definition: admin/articleedit.php:834
$session
$session
Definition: admin/articlelist.php:44
$Description
$Description
Definition: articlelistrss.php:38
$images
$images
Definition: articlepreview.php:146
eZAuthor
Definition: ezauthor.php:40
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZImageCategory
Definition: ezimagecategory.php:43
eZImageCategory\isOwner
static isOwner( $user, $imageCategory=false)
Definition: ezimagecategory.php:480
eZImageCategory\addImage
static addImage( $value, $categoryid=false)
Definition: ezimagecategory.php:547
eZImage
Definition: ezimage.php:95
eZImage\isOwner
static isOwner( $user, $image)
Definition: ezimage.php:1274
eZImage\searchCount
static searchCount( $name, $literal=false)
Definition: ezimage.php:269
eZImage\search
static search(&$queryText, $offset=0, $limit=30, $userID=-1)
Definition: ezimage.php:221
eZList\drawNavigator
static drawNavigator(&$t, $total_types, $max_types, $index, $parent=false, $variables=false)
Definition: ezlist.php:401
eZObjectPermission\hasPermission
static hasPermission( $objectID, $moduleTable, $permission, $user=false)
Definition: ezobjectpermission.php:76
eZObjectPermission\setPermission
static setPermission( $group, $objectID, $moduleTable, $permission)
Definition: ezobjectpermission.php:236
eZObjectPermission\removePermissions
static removePermissions( $objectID, $moduleTable, $permission)
Definition: ezobjectpermission.php:320
eZPBFile\siFileSize
static & siFileSize( $size)
Definition: ezpbfile.php:220
eZPBFile\dir
static dir( $dir, $add_sitedir=true)
Definition: ezpbfile.php:384
eZPBFile\filesize
static filesize( $filename)
Definition: ezpbfile.php:339
eZPBImageFile
Definition: ezpbimagefile.php:71
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZSession\globalSession
static & globalSession( $id="", $fetch=true)
Definition: kernel/ezsession/classes/ezsession.php:614
eZTemplate
Definition: eztemplate.php:107
eZUserGroup
Definition: ezusergroup.php:66
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$SearchText
$SearchText
Definition: ezaddress/admin/typelist.php:143
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$size
if($file_debug) $size
Definition: ezfilemanager/user/filedownload.php:165
$file
$file
Definition: ezfilemanager/user/filedownload.php:35
$indexFile
$indexFile
Definition: ezimagecatalogue/admin/imagelist.php:43
$wwwDir
$wwwDir
Definition: ezimagecatalogue/admin/imagelist.php:42
$category
$category
Definition: ezimagecatalogue/admin/imagelist.php:224
syncDir
if(isset( $DetailView)) if(isset( $NormalView)) syncDir( $root, $category)
Definition: ezimagecatalogue/admin/imagelist.php:74
$SyncDir
$SyncDir
Definition: ezimagecatalogue/admin/imagelist.php:49
$ImageDir
$ImageDir
Definition: ezimagecatalogue/admin/imagelist.php:47
$t
$t
Definition: ezimagecatalogue/admin/imagelist.php:52
$pathArray
if( $category->id() !=0) $pathArray
Definition: ezimagecatalogue/admin/imagelist.php:255
$page_link_next
$page_link_next
Definition: ezimagecatalogue/admin/imagelist.php:339
$SectionID
$SectionID
Definition: ezimagecatalogue/admin/imagelist.php:50
$user
$user
Definition: ezimagecatalogue/admin/imagelist.php:59
$page_link
$page_link
Definition: ezimagecatalogue/admin/imagelist.php:338
$URL
$URL
Definition: ezimagecatalogue/admin/imagelist.php:336
$j
$j
Definition: ezimagecatalogue/admin/imagelist.php:345
$page_link_prev
$page_link_prev
Definition: ezimagecatalogue/admin/imagelist.php:340
$checkMode
if(isSet( $ImageUpload)) $checkMode
Definition: ezimagecatalogue/admin/imagelist.php:160
$i
$i
Definition: ezimagecatalogue/admin/imagelist.php:271
$Language
$Language
Definition: ezimagecatalogue/admin/imagelist.php:45
$ini
$ini
Definition: ezimagecatalogue/admin/imagelist.php:41
$categoryList
foreach( $pathArray as $path) $categoryList
Definition: ezimagecatalogue/admin/imagelist.php:269
$PicCat
$PicCat
Definition: ezimagecatalogue/admin/imagelist.php:48
$counter
$counter
Definition: ezimagecatalogue/admin/imagelist.php:346
$limit
$limit
Definition: ezimagecatalogue/admin/imagelist.php:312
$error
$error
Definition: ezimagecatalogue/admin/imagelist.php:229
$count
$count
Definition: ezimagecatalogue/admin/imagelist.php:334
$imageList
$imageList
Definition: ezimagecatalogue/admin/unassigned.php:96
$variation
$variation
Definition: ezimagecatalogue/user/menubox.php:55
$dir
$dir
Definition: ezsitemanager/admin/filelist.php:87
exit
exit
Definition: folder.php:81
$image
$image
Definition: user/articlelist.php:242
$height
$height
Definition: user/imageview.php:171
$width
$width
Definition: user/imageview.php:170
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.